post
https://public-api.leexi.ai/v1/calls/presign_recording_url
Request a presigned URL to upload a call recording, before creating the call. To upload the file you must send a PUT request to the returned url, with the headers provided by the endpoint (single-part upload). This uploaded file automatically expires after 3 days unless used to create a call.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Here's an example of uploading a file to this presigned URL using curl.
export PRESIGNED_URL="https://leexi-quarantine-dev.s3.eu-west-3.amazonaws.com/leexi/recordings/upload/bec9d04c-ba91-43c1-8a46-79f690a844c1.mp3?X-Amz-Algorithm=...."
export FILE_PATH="audio.mp3"
curl -X PUT \
-H "x-amz-tagging: temporary=true" \
-T "$FILE_PATH" \
"$PRESIGNED_URL"
Requires thewrite_callspermission scope on the API key.
